=== modified file 'revbrowser.py'
--- revbrowser.py	2007-02-03 11:52:13 +0000
+++ revbrowser.py	2007-04-15 20:24:40 +0000
@@ -82,10 +82,11 @@
 
     def _fill_revisions(self):
         """ Fill up the treeview with the revisions. """
-        # [ revno, message, committer, timestamp ]
+        # [ revno, message, committer, timestamp, revid ]
         self.model = gtk.ListStore(gobject.TYPE_STRING,
                                    gobject.TYPE_STRING,
                                    gobject.TYPE_STRING,
+                                   gobject.TYPE_STRING,
                                    gobject.TYPE_STRING)
         self._treeview.set_model(self.model)
         repo = self.branch.repository
@@ -100,7 +101,8 @@
             self.model.append([ self.branch.revision_id_to_revno(rev.revision_id),
                                 rev.get_summary(),
                                 rev.committer,
-                                timestamp ])
+                                timestamp,
+                                rev.revision_id ])
     
     def _get_selected_revno(self):
         """ Return the selected revision's revno. """
@@ -112,6 +114,16 @@
         else:
             return model.get_value(iter, 0)
     
+    def _get_selected_revid(self):
+        """ Return the selected revision's revid. """
+        treeselection = self._treeview.get_selection()
+        (model, iter) = treeselection.get_selected()
+        
+        if iter is None:
+            return None
+        else:
+            return model.get_value(iter, 4)
+    
     def _on_treeview_row_activated(self, treeview, path, column):
         """ Double-click on a row should also select a revision. """
         self._on_select_clicked(treeview)
@@ -119,4 +131,5 @@
     def _on_select_clicked(self, widget):
         """ Select button clicked handler. """
         self.selected_revno = self._get_selected_revno()
+        self.selected_revid = self._get_selected_revid()
         self.response(gtk.RESPONSE_OK)

